## python-apt 2.3.0ubuntu2

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d build/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) source

.PHONY: help clean html web pickle htmlhelp latex changes linkcheck

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html      to make standalone HTML files"
	@echo "  pickle    to make pickle files"
	@echo "  json      to make JSON files"
	@echo "  htmlhelp  to make HTML files and a HTML help project"
	@echo "  latex     to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  changes   to make an overview over all changed/added/deprecated items"
	@echo "  linkcheck to check all external links for integrity"

clean:
	-rm -rf build/*

text:
	mkdir -p build/text build/doctrees
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) build/text

html:
	mkdir -p build/html build/doctrees
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) build/html
	@echo
	@echo "Build finished. The HTML pages are in build/html."

pickle:
	mkdir -p build/pickle build/doctrees
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) build/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

web: pickle

json:
	mkdir -p build/json build/doctrees
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) build/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	mkdir -p build/htmlhelp build/doctrees
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) build/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in build/htmlhelp."

latex:
	mkdir -p build/latex build/doctrees
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) build/latex
	@echo
	@echo "Build finished; the LaTeX files are in build/latex."
	@echo "Run \`make all-pdf' or \`make all-ps' in that directory to" \
	      "run these through (pdf)latex."

changes:
	mkdir -p build/changes build/doctrees
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) build/changes
	@echo
	@echo "The overview file is in build/changes."

linkcheck:
	mkdir -p build/linkcheck build/doctrees
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) build/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in build/linkcheck/output.txt."

## python-apt 0.5.4.3

=== debian/changelog ===
python-apt (0.5.4.3) unstable; urgency=low

  * #include <new> in python/generic.h so that we can build on ia64, which
    uses g++-2.96 (Closes: #137467)

 -- Matt Zimmerman <mdz@debian.org>  Sat,  9 Mar 2002 23:34:13 -0500

python-apt (0.5.4.2) unstable; urgency=high

  * Fix g++-3.0 compilation issues (Closes: #134020)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 24 Feb 2002 00:20:22 -0500

python-apt (0.5.4.1) unstable; urgency=low

  * Add apt-utils to build-depends, since libapt-pkg-dev doesn't pull it
    in.  This should allow python-apt to be autobuilt more readily.

 -- Matt Zimmerman <mdz@debian.org>  Sat, 23 Feb 2002 19:01:15 -0500

python-apt (0.5.4) unstable; urgency=low

  * Initial release.
  * Initial packaging by Jason Gunthorpe, et al.

 -- Matt Zimmerman <mdz@debian.org>  Wed, 16 Jan 2002 01:37:56 -0500

=== debian/control ===
Source: python-apt
Section: devel
Priority: optional
Maintainer: APT Development Team <deity@lists.debian.org>
Standards-Version: 3.1.1
Build-Depends: debhelper, libapt-pkg-dev, apt-utils, python-dev

Package: python-apt
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}
Priority: optional
Description: Python interface to libapt-pkg
 The apt-pkg Python interface will provide full access to the internal 
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions, such as:
 .
  - Access to the APT configuration system
  - Access to the APT package information database
  - Parsing of Debian package control files, and other files with a
    similar structure

=== debian/rules ===
#!/usr/bin/make -f
# MAde with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON=/usr/bin/python

build: build-stamp
build-stamp:
	dh_testdir

	$(PYTHON) setup.py build

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	$(PYTHON) setup.py clean --all

	dh_clean

# Build architecture-independent files here.
binary-indep: build
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
#	dh_testversion
	dh_testdir
	dh_testroot
	dh_clean -k

	$(PYTHON) setup.py install --prefix=`pwd`/debian/tmp/usr

	dh_installdocs
	# Hooks for doc-base. doc-base doesn't support `pdf' yet,
	# therefore this is still disabled.
	##XX install -d `pwd`/debian/tmp/usr/share/doc-base
	##XX cp debian/doc-base `pwd`/debian/tmp/usr/share/doc-base/python-ldap
	dh_installexamples doc/examples/*.py
	dh_installmenu
#	dh_installinit
	dh_installcron
	dh_installmanpages
#	dh_undocumented
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	$(PYTHON) debian/python-dep >> debian/substvars
	dh_gencontrol
#	dh_makeshlibs
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## python-apt 0.5.10

=== debian/changelog ===
python-apt (0.5.10) unstable; urgency=low

  * Recompile with apt 0.5

 -- Matt Zimmerman <mdz@debian.org>  Fri, 26 Dec 2003 09:09:40 -0800

python-apt (0.5.9) unstable; urgency=low

  * Fix broken object initialization in sourcelist.cc and srcrecords.cc
    (Closes: #215792)

 -- Matt Zimmerman <mdz@debian.org>  Thu, 25 Dec 2003 12:12:04 -0800

python-apt (0.5.8) unstable; urgency=low

  * Adjust build-depends to build with python2.3.  No other changes.
  * This seems to break the new source package support, probably because
    the new source package support is buggy.

 -- Matt Zimmerman <mdz@debian.org>  Fri,  8 Aug 2003 09:01:12 -0400

python-apt (0.5.5.2) unstable; urgency=low

  * Add myself to Uploaders so that bugs don't get tagged as NMU-fixed anymore 
  * Initial support for working with source packages (Closes: #199716)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 22 Jul 2003 22:20:00 -0400

python-apt (0.5.5.1) unstable; urgency=low

  * DepIterator::GlobOr increments the iterator; don't increment it again.
    This caused every other dependency to be skipped (Closes: #195805)
  * Avoid a null pointer dereference when calling keys() on an empty
    configuration (Closes: #149380) 

 -- Matt Zimmerman <mdz@debian.org>  Mon,  2 Jun 2003 23:18:53 -0400

python-apt (0.5.5) unstable; urgency=low

  * Rebuild with apt 0.5.5

 -- Matt Zimmerman <mdz@debian.org>  Tue,  6 May 2003 10:01:22 -0400

python-apt (0.5.4.9) unstable; urgency=low

  * Parse /var/lib/dpkg/status in examples/tagfile.py, so that it works
    out of the box (Closes: #175340)
  * Rebuild with apt 0.5.4.9 (libapt-pkg-libc6.3-5-3.3)

 -- Matt Zimmerman <mdz@debian.org>  Tue, 18 Feb 2003 16:42:24 -0500

python-apt (0.5.4.4) unstable; urgency=low

  * Fix for memory leak with TmpGetCache.
    Closes: #151489
  * Include additional examples from Moshe Zadka <m@moshez.org>
    Closes: #150091, #152048
  * Rebuild for python2.2, which is now the default version
    Closes: #158460
  * No CVS directories in source tarball
    Closes: #157773

 -- Matt Zimmerman <mdz@debian.org>  Tue, 27 Aug 2002 19:22:10 -0400
  

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: python-apt
-Section: devel
+Section: python
 Priority: optional
 Maintainer: APT Development Team <deity@lists.debian.org>
+Uploaders: Matt Zimmerman <mdz@debian.org>
 Standards-Version: 3.1.1
-Build-Depends: debhelper, libapt-pkg-dev, apt-utils, python-dev
+Build-Depends: debhelper, libapt-pkg-dev (>= 0.5.5), apt-utils, python-dev (>= 2.3)
 
 Package: python-apt
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYTHON=/usr/bin/python
+PYTHON=/usr/bin/python2.3
 
 build: build-stamp
 build-stamp:

## python-apt 0.5.36ubuntu3

=== debian/changelog ===
python-apt (0.5.36ubuntu3) hoary; urgency=low

  * fixed some reference count problems in the depcache code

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  1 Apr 2005 23:57:49 +0200

python-apt (0.5.36ubuntu2) hoary; urgency=low

  * return "None" in GetCandidateVer() if no Candidate is found

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 15 Mar 2005 12:30:06 +0100

python-apt (0.5.36ubuntu1) hoary; urgency=low

  * DepCache.ReadPinFile() added
  * Fixed a bug in DepCache.Upgrade()

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  2 Mar 2005 11:32:15 +0100

python-apt (0.5.36) hoary; urgency=low

  * Fix build-depends, somehow lost in merge

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 26 Feb 2005 18:53:54 -0800

python-apt (0.5.35) hoary; urgency=low

  * Target hoary this time

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 26 Feb 2005 15:57:21 -0800

python-apt (0.5.34) unstable; urgency=low

  * Restore Ubuntu changes
    - Build python 2.4 as default, add python2.3-apt
    - Typo fix (Ubuntu #4677)

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 26 Feb 2005 15:53:30 -0800

python-apt (0.5.33) unstable; urgency=low

  * Merge michael.vogt@ubuntu.com--2005/python-apt--pkgDepCache--0
    - Basic depcache API (Ubuntu #6889)

 -- Matt Zimmerman <mdz@ubuntu.com>  Sat, 26 Feb 2005 15:37:48 -0800

python-apt (0.5.32) unstable; urgency=low

  * Update to work with apt 0.5.32 (bzip2 deb support)

 -- Matt Zimmerman <mdz@debian.org>  Sun, 12 Dec 2004 09:44:45 -0800

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Matt Zimmerman <mdz@debian.org>
 Standards-Version: 3.1.1
-Build-Depends: debhelper, libapt-pkg-dev (>= 0.5.5), apt-utils, python-dev (>= 2.3)
+Build-Depends: debhelper (>= 4.2.28), libapt-pkg-dev (>= 0.5.32), apt-utils, python, python-dev (>= 2.4), python2.3-dev
 
 Package: python-apt
 Architecture: any
@@ -19,3 +19,17 @@
   - Access to the APT package information database
   - Parsing of Debian package control files, and other files with a
     similar structure
+
+Package: python2.3-apt
+Architecture: any
+Depends: ${python:Depends}, ${shlibs:Depends}
+Priority: optional
+Description: Python interface to libapt-pkg
+ The apt-pkg Python interface will provide full access to the internal 
+ libapt-pkg structures allowing Python programs to easily perform a
+ variety of functions, such as:
+ .
+  - Access to the APT configuration system
+  - Access to the APT package information database
+  - Parsing of Debian package control files, and other files with a
+    similar structure

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,10 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYTHON=/usr/bin/python2.3
+PYTHON=/usr/bin/python2.4
+
+DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
+DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
 
 build: build-stamp
 build-stamp:
@@ -19,9 +22,10 @@
 clean:
 	dh_testdir
 	dh_testroot
-	rm -f build-stamp
+	rm -rf build-stamp debian/arch-build
 
 	$(PYTHON) setup.py clean --all
+	/usr/bin/python2.3 setup.py clean --all
 
 	dh_clean
 
@@ -37,6 +41,7 @@
 	dh_clean -k
 
 	$(PYTHON) setup.py install --prefix=`pwd`/debian/tmp/usr
+	/usr/bin/python2.3 setup.py install --prefix=`pwd`/debian/python2.3-apt/usr
 
 	dh_installdocs
 	# Hooks for doc-base. doc-base doesn't support `pdf' yet,
@@ -55,7 +60,7 @@
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
-	$(PYTHON) debian/python-dep >> debian/substvars
+	dh_python
 	dh_gencontrol
 #	dh_makeshlibs
 	dh_md5sums
@@ -64,5 +69,12 @@
 source diff:                                                                  
 	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false
 
+arch-build:
+	rm -rf debian/arch-build
+	mkdir -p debian/arch-build/python-apt-$(DEBVER)
+	baz inventory -s | xargs cp -a --parents --target=debian/arch-build/python-apt-$(DEBVER)
+	(cd debian/arch-build/python-apt-$(DEBVER); $(DEB_BUILD_PROG))
+
+
 binary: binary-indep binary-arch
 .PHONY: build clean binary-indep binary-arch binary

## python-apt 0.6.13.1ubuntu1

=== debian/changelog ===
python-apt (0.6.13.1ubuntu1) breezy; urgency=low

  * backported locking support from baz (needed to fix the various
    python-apt based apps that do no do lock-checking right now)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 12 Sep 2005 14:56:14 +0200

python-apt (0.6.13.1) unstable; urgency=low

  * rebuild against latest apt 0.6.40.1

 -- Michael Vogt <mvo@debian.org>  Fri,  5 Aug 2005 13:53:22 +0200

python-apt (0.6.13) unstable; urgency=low

  * support for depcache added
  * support for the PkgProblemResolver added
  * support for PkgSrcRecord.BuildDepends added
  * support for cdrom handling (add, ident) added
  * support for progress reporting from operations added
    (e.g. OpProgress, FetchProgress, InstallProgress, CdromProgress)
  * added tests/ directory with various tests for the code
  * native apt/ python directory added that contains
    a more pythonic interface to apt_pkg
  * made the apt/ python code PEP08 conform
  * python exceptions return the apt error message now 
    (thanks to Chris Halls for the patch)
  
 -- Michael Vogt <mvo@debian.org>  Fri,  5 Aug 2005 10:30:31 +0200

python-apt (0.6.12.2) unstable; urgency=low

   * rebuild against the latest apt (c++ transition)

 -- Michael Vogt <mvo@debian.org>  Mon, 1 Aug 2005 11:06:03 +0200

python-apt (0.6.12.1) unstable; urgency=low

   * rebuild against the latest apt

 -- Michael Vogt <mvo@debian.org>  Tue, 28 Jun 2005 18:29:57 +0200 

python-apt (0.6.12ubuntu1) breezy; urgency=low

  * Greek0@gmx.net--2005-main/python-apt--debian--0.6:
    - python2.{3,4}-apt conflicts with python-apt (<< 0.6.11)
      (closes: #308586)
      (closes ubuntu: #11380)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 May 2005 11:34:05 +0200

python-apt (0.6.12) breezy; urgency=low
  
  * added a tests/ directory
  * added tests/pkgsrcrecords.py that will check if the pkgsrcrecords
    interface does not segfault
  * new native python "apt" interface that hides the details of apt_pkg

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  6 May 2005 10:11:52 +0200
  

python-apt (0.6.11) experimental; urgency=low

  * fixed some reference count problems in the depcache and 
    pkgsrcrecords code
  * DepCache.Init() is never called implicit now
  * merged with python-apt tree from Greek0@gmx.net--2005-main

 -- Michael Vogt <mvo@debian.org>  Fri,  6 May 2005 10:04:38 +0200

=== debian/control ===
--- 
+++ 
@@ -2,13 +2,13 @@
 Section: python
 Priority: optional
 Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Matt Zimmerman <mdz@debian.org>
-Standards-Version: 3.1.1
-Build-Depends: debhelper (>= 4.2.28), libapt-pkg-dev (>= 0.5.32), apt-utils, python, python-dev (>= 2.4), python2.3-dev
+Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
+Standards-Version: 3.6.1.1
+Build-Depends: debhelper (>= 4.2.28), libapt-pkg-dev (>= 0.6.40.1), apt-utils, python-dev, python2.4-dev, python2.3-dev
 
 Package: python-apt
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}
+Architecture: all
+Depends: ${python:Depends}
 Priority: optional
 Description: Python interface to libapt-pkg
  The apt-pkg Python interface will provide full access to the internal 
@@ -22,7 +22,8 @@
 
 Package: python2.3-apt
 Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}
+Depends: python2.3, ${shlibs:Depends}
+Conflicts: python-apt (<< 0.6.11)
 Priority: optional
 Description: Python interface to libapt-pkg
  The apt-pkg Python interface will provide full access to the internal 
@@ -33,3 +34,18 @@
   - Access to the APT package information database
   - Parsing of Debian package control files, and other files with a
     similar structure
+
+Package: python2.4-apt
+Architecture: any
+Depends: python2.4, ${shlibs:Depends}
+Conflicts: python-apt (<< 0.6.11)
+Priority: optional
+Description: Python interface to libapt-pkg
+ The apt-pkg Python interface will provide full access to the internal 
+ libapt-pkg structures allowing Python programs to easily perform a
+ variety of functions, such as:
+ .
+  - Access to the APT configuration system
+  - Access to the APT package information database
+  - Parsing of Debian package control files, and other files with a
+    similar structure

## python-apt 0.6.16.1bpo1

=== debian/changelog ===
python-apt (0.6.16.1bpo1) sarge-backports; urgency=low

  * Rebuilt for sarge.

 -- Norbert Tretkowski <nobse@backports.org>  Wed, 26 Apr 2006 19:45:33 +0200

python-apt (0.6.16.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/control:
    + Replaces: python-apt (<< 0.6.11), instead of Conflicts which is not
      correct here. (closes: #308586).

 -- Pierre Habouzit <madcoder@debian.org>  Fri, 14 Apr 2006 19:30:51 +0200

python-apt (0.6.16.1) unstable; urgency=low

  * memleak fixed when pkgCache objects are deallocated
  * typos fixed (thanks to Gustavo Franco)
  * pkgRecords.Record added to get raw record data
  * python/cache.cc: "key" in pkgCache::VerIterator.DependsList[key] is
                     no longer locale specific but always english

 -- Michael Vogt <mvo@debian.org>  Wed, 22 Feb 2006 10:41:13 +0100

python-apt (0.6.16) unstable; urgency=low

  * added GetPkgAcqFile to queue individual file downloads with the 
    system (dosn't make use of the improved pkgAcqFile yet)
  * added SourceList.GetIndexes()
  * rewrote apt.cache.update() to use the improved aquire interface
  * apt/ API change: apt.Package.candidateOrigin returns a list of origins 
    now instead of a single one
  * apt_pkg.Cdrom.Add() returns a boolean now, CdromProgress has totalSteps
  * added support for pkgIndexFile and added SourcesList.FindIndex()
  * added "trusted" to the Origin class

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  5 Jan 2006 00:56:36 +0100

python-apt (0.6.15) unstable; urgency=low

  * rewrote cache.Commit() and make it raise proper Exception if stuff
    goes wrong
  * fix a invalid return from cache.commit(), fail if a download failed
  * apt.Package.candidateOrigin returns a class now
  * added pkgAcquire, pkgPackageManager and a example (acquire.py)
  * tightend build-dependencies for new apt and the c++ transition

 -- Michael Vogt <mvo@debian.org>  Mon, 28 Nov 2005 23:48:37 +0100

python-apt (0.6.14) unstable; urgency=low

  * doc/examples/build-deps.py:
    - fixed/improved (thanks to Martin Michlmayr, closes: #321507)
  * apt_pkg.Cache.Update() does no longer reopen the cache
    (this is the job of the caller now)
  * python/srcrecords.cc:
    - support for "srcrecords.Files" added
    - always run "Restart" before performing a Lookup 
  * export locking via: GetLock(),PkgSystem{Lock,UnLock} 
  * apt/cache.py:
    - added  __iter__ to make "for pkg in apt.Cache:" stuff possible

 -- Michael Vogt <mvo@debian.org>  Wed,  9 Nov 2005 04:52:08 +0100

=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: python
 Priority: optional
 Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
+Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>, Norbert Tretkowski <nobse@backports.org>
 Standards-Version: 3.6.1.1
-Build-Depends: debhelper (>= 4.2.28), libapt-pkg-dev (>= 0.6.40.1), apt-utils, python-dev, python2.4-dev, python2.3-dev
+Build-Depends: debhelper (>= 4.2.28), libapt-pkg-dev (>= 0.6.40), apt-utils, python-dev, python2.4-dev, python2.3-dev
 
 Package: python-apt
 Architecture: all
@@ -23,7 +23,7 @@
 Package: python2.3-apt
 Architecture: any
 Depends: python2.3, ${shlibs:Depends}
-Conflicts: python-apt (<< 0.6.11)
+Replaces: python-apt (<< 0.6.11)
 Priority: optional
 Description: Python interface to libapt-pkg
  The apt-pkg Python interface will provide full access to the internal 
@@ -38,7 +38,7 @@
 Package: python2.4-apt
 Architecture: any
 Depends: python2.4, ${shlibs:Depends}
-Conflicts: python-apt (<< 0.6.11)
+Replaces: python-apt (<< 0.6.11)
 Priority: optional
 Description: Python interface to libapt-pkg
  The apt-pkg Python interface will provide full access to the internal

=== debian/rules ===
#!/usr/bin/make -f
# Made with the aid of dh_make, by Craig Small
# Sample debian/rules that uses debhelper. GNU copyright 1997 by Joey Hess.
# Some lines taken from debmake, by Cristoph Lameter.

# This has to be exported to make some magic below work.
export DH_OPTIONS

# This is the debhelper compatibility version to use.
export DH_COMPAT=3

DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PYTHON=python2.3 python2.4

build: build-stamp
build-stamp:
	dh_testdir

	for PY in $(PYTHON); do \
		/usr/bin/$$PY setup.py build; \
	done

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	for PY in $(PYTHON); do \
		/usr/bin/$$PY setup.py clean --all; \
	done

	dh_clean

# Build architecture-independent files here.
binary-indep: DH_OPTIONS=-i
binary-indep: build
	dh_testdir
	dh_testroot
	dh_installdocs
	dh_installexamples doc/examples/*.py
	dh_installchangelogs
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_python
	dh_gencontrol
	dh_md5sums
	dh_builddeb

# Build architecture-dependent files here.
binary-arch: DH_OPTIONS=-a
binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k

	for PY in $(PYTHON); do \
		/usr/bin/$$PY setup.py install --prefix=`pwd`/debian/$${PY}-apt/usr; \
	done

	dh_installdocs
	dh_installchangelogs
	dh_strip
	dh_compress
	dh_fixperms
	dh_installdeb
	dh_shlibdeps
	dh_python
	dh_gencontrol
	dh_md5sums
	dh_builddeb

source diff:                                                                  
	@echo >&2 'source and diff are obsolete - use dpkg-source -b'; false

arch-build:
	rm -rf debian/arch-build
	mkdir -p debian/arch-build/python-apt-$(DEBVER)
	baz inventory -s | xargs cp -a --parents --target=debian/arch-build/python-apt-$(DEBVER)
	(cd debian/arch-build/python-apt-$(DEBVER); $(DEB_BUILD_PROG))

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary

## python-apt 0.6.16.2breezy1

=== debian/changelog ===
python-apt (0.6.16.2breezy1) breezy-updates; urgency=low

  * apt/progress.py: 
    - initialize FetchProgress.eta with the correct type
    - strip the staus str before passing it to InstallProgress.statusChanged()
    - added InstallProgress.statusChange(pkg, percent, status) 
    - make DumbInstallProgress a new-style class 
      (thanks to kamion for the suggestions)
    - fix various pychecker warnings
  * apt/cache.py:
    - return useful values on Cache.update()
  * apt/cache.py, apt/package.py: fix various pychecker warnings
  * backported the code 


 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  9 Mar 2006 10:30:27 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: APT Development Team <deity@lists.debian.org>
-Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>, Norbert Tretkowski <nobse@backports.org>
+Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
 Standards-Version: 3.6.1.1
 Build-Depends: debhelper (>= 4.2.28), libapt-pkg-dev (>= 0.6.40), apt-utils, python-dev, python2.4-dev, python2.3-dev
 
@@ -23,7 +23,7 @@
 Package: python2.3-apt
 Architecture: any
 Depends: python2.3, ${shlibs:Depends}
-Replaces: python-apt (<< 0.6.11)
+Conflicts: python-apt (<< 0.6.11)
 Priority: optional
 Description: Python interface to libapt-pkg
  The apt-pkg Python interface will provide full access to the internal 
@@ -38,7 +38,7 @@
 Package: python2.4-apt
 Architecture: any
 Depends: python2.4, ${shlibs:Depends}
-Replaces: python-apt (<< 0.6.11)
+Conflicts: python-apt (<< 0.6.11)
 Priority: optional
 Description: Python interface to libapt-pkg
  The apt-pkg Python interface will provide full access to the internal

## python-apt 0.6.16.2ubuntu8

=== debian/changelog ===
python-apt (0.6.16.2ubuntu8) dapper; urgency=low

  * apt/package.py:
    - fix return value in {candidate,installed}Downloadable

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 May 2006 19:28:44 +0200

python-apt (0.6.16.2ubuntu7) dapper; urgency=low

  * apt/package.py:
    - check if _lookupRecord() succeeded when checking
      maintainer or description (fixes invalid descriptions under 
      rare circumstances in gnome-app-install)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 17 May 2006 18:12:58 +0200

python-apt (0.6.16.2ubuntu6) dapper; urgency=low

  * debian/control:
    - Replaces: python-apt (<< 0.6.11), instead of Conflicts which is not
      correct here. (closes: #308586).
  * python/srcrecords.cc:
    - don't run auto "Restart" before performing a Lookup (but require
      explicit "Restart", fixes the docs/examples/sources.py example)
    - fix the initalization (no need to pass a PkgCacheType to the records)
  
 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  8 May 2006 16:40:14 +0200

python-apt (0.6.16.2ubuntu5) dapper; urgency=low

  * apt/cache.py: Release locks on failure (thanks to Colin Watson)
    (closes: #35867)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 21 Mar 2006 15:09:14 +0100

python-apt (0.6.16.2ubuntu4) dapper; urgency=low

  * apt/package.py: 
     - added Package.setDelete(purge) option

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  6 Mar 2006 18:59:33 +0000

python-apt (0.6.16.2ubuntu3) dapper; urgency=low

  * apt/package.py: undo some damager from pychecker

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  1 Mar 2006 15:34:23 +0100

python-apt (0.6.16.2ubuntu2) dapper; urgency=low

  * apt/progress.py: 
    - initialize FetchProgress.eta with the correct type
    - strip the staus str before passing it to InstallProgress.statusChanged()
  * apt/cache.py:
    - return useful values on Cache.update()
  * fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Feb 2006 14:07:06 +0100

python-apt (0.6.16.2ubuntu1) dapper; urgency=low

  * apt/progress.py: 
    - added InstallProgress.statusChange(pkg, percent, status) 
    - make DumbInstallProgress a new-style class 
      (thanks to kamion for the suggestions)
    - fix various pychecker warnings
  * apt/cache.py, apt/package.py: fix various pychecker warnings

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 28 Feb 2006 12:04:37 +0100

python-apt (0.6.16ubuntu2) dapper; urgency=low

  * Drop python2.3 package.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 14 Feb 2006 15:27:26 +0000

python-apt (0.6.16ubuntu1) dapper; urgency=low

  * memleak fixed when pkgCache objects are deallocated

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 12 Jan 2006 00:08:05 +0100

## python-apt 0.6.16.2ubuntu8.1

=== debian/changelog ===
python-apt (0.6.16.2ubuntu8.1) dapper-proposed; urgency=low

  * protect against not-parsable strings send from dpkg (lp: 68553)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Jan 2007 10:47:46 +0100

=== debian/control ===
Source: python-apt
Section: python
Priority: optional
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
Standards-Version: 3.6.2.0
Build-Depends: debhelper (>= 5.0), libapt-pkg-dev (>= 0.6.40), apt-utils, python-dev, python2.4-dev

Package: python-apt
Architecture: all
Depends: ${python:Depends}
Priority: optional
Description: Python interface to libapt-pkg
 The apt-pkg Python interface will provide full access to the internal 
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions, such as:
 .
  - Access to the APT configuration system
  - Access to the APT package information database
  - Parsing of Debian package control files, and other files with a
    similar structure

Package: python2.4-apt
Architecture: any
Depends: python2.4, ${shlibs:Depends}
Replaces: python-apt (<< 0.6.11)
Priority: optional
Description: Python interface to libapt-pkg
 The apt-pkg Python interface will provide full access to the internal 
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions, such as:
 .
  - Access to the APT configuration system
  - Access to the APT package information database
  - Parsing of Debian package control files, and other files with a
    similar structure

=== debian/rules ===
--- 
+++ 
@@ -6,9 +6,6 @@
 # This has to be exported to make some magic below work.
 export DH_OPTIONS
 
-# This is the debhelper compatibility version to use.
-export DH_COMPAT=3
-
 DEBVER=$(shell dpkg-parsechangelog |sed -n -e '/^Version:/s/^Version: //p')
 DEB_BUILD_PROG:=debuild --preserve-envvar PATH --preserve-envvar CCACHE_DIR -us -uc $(DEB_BUILD_PROG_OPTS)
 
@@ -16,6 +13,7 @@
 #export DH_VERBOSE=1
 
 PYTHON=python2.3 python2.4
+PYTHON=python2.4
 
 build: build-stamp
 build-stamp:
@@ -83,7 +81,7 @@
 arch-build:
 	rm -rf debian/arch-build
 	mkdir -p debian/arch-build/python-apt-$(DEBVER)
-	baz inventory -s | xargs cp -a --parents --target=debian/arch-build/python-apt-$(DEBVER)
+	tar -c --exclude=arch-build --no-recursion -f - `bzr inventory` | (cd debian/arch-build/python-apt-$(DEBVER);tar xf -)
 	(cd debian/arch-build/python-apt-$(DEBVER); $(DEB_BUILD_PROG))
 
 binary: binary-indep binary-arch

## python-apt 0.6.19

=== debian/changelog ===
python-apt (0.6.19) unstable; urgency=low

  [ Michael Vogt ]
  * doc/examples/print_uris.py:
    - added a example to show how the indexfile.ArchiveURI() can be used
      with binary packages
  * python/apt_pkgmodule.cc:
    - export sha256 generation

  [ Otavio Salvador ]
  * apt/cache.py:
    - fix commit doc string to also cite the open related callbacks
    - allow change of rootdir for APT database loading
    - add dh_installexamples in package building Closes: #376014

 -- Michael Vogt <mvo@debian.org>  Thu, 27 Jul 2006 00:42:20 +0200

python-apt (0.6.18-0.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add ${shlibs:Depends} and ${misc:Depends} (Closes: #377615).

 -- Christoph Berg <myon@debian.org>  Tue, 18 Jul 2006 11:39:52 +0200

python-apt (0.6.18-0.1) unstable; urgency=high

  * Non-maintainer upload.
  * Call dh_pycentral and dh_python before dh_installdeb, to make sure
    the dh_pycentral snippets are put into the maintainer scripts; patch from
    Sam Morris. (Closes: #376416)

 -- Steinar H. Gunderson <sesse@debian.org>  Wed, 12 Jul 2006 23:26:50 +0200

python-apt (0.6.18) unstable; urgency=low

  * Non-maintainer upload.
  * Update for the new Python policy. Closes: #373512

 -- Raphael Hertzog <hertzog@debian.org>  Sat, 17 Jun 2006 15:09:28 +0200

python-apt (0.6.17) unstable; urgency=low

  * apt/progress.py: 
    - initialize FetchProgress.eta with the correct type
    - strip the staus str before passing it to InstallProgress.statusChanged()
    - added InstallProgress.statusChange(pkg, percent, status) 
    - make DumbInstallProgress a new-style class 
      (thanks to kamion for the suggestions)
    - fix various pychecker warnings
  * apt/cache.py:
    - return useful values on Cache.update()
    - Release locks on failure (thanks to Colin Watson)
    - fix various pychecker warnings
  * apt/package.py: 
    - fix various pychecker warnings
    - check if looupRecords succeeded
    - fix bug in the return statement of _downloadable()
  * python/srcrecords.cc:
    - add "Restart" method
    - don't run auto "Restart" before performing a Lookup 
    - fix the initalization (no need to pass a PkgCacheType to the records)
    - added "Index" attribute
  * python/indexfile.cc:
    - added ArchiveURI() method
  
 -- Michael Vogt <mvo@debian.org>  Mon,  8 May 2006 22:34:58 +0200

=== debian/control ===
Source: python-apt
Section: python
Priority: optional
Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
Standards-Version: 3.6.2.0
XS-Python-Version: all
Build-Depends: debhelper (>= 5.0.37.1), libapt-pkg-dev (>= 0.6.40), apt-utils, python-all-dev, python-central

Package: python-apt
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Priority: optional
Replaces: python2.3-apt (<< 0.6.18), python2.4-apt (<< 0.6.18)
Conflicts: python2.3-apt (<< 0.6.18), python2.4-apt (<< 0.6.18)
Provides: ${python:Provides}
XB-Python-Version: ${python:Versions}
Description: Python interface to libapt-pkg
 The apt-pkg Python interface will provide full access to the internal 
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions, such as:
 .
  - Access to the APT configuration system
  - Access to the APT package information database
  - Parsing of Debian package control files, and other files with a
    similar structure

=== debian/rules ===
--- 
+++ 
@@ -12,8 +12,7 @@
 # Uncomment this to turn on verbose mode.
 #export DH_VERBOSE=1
 
-PYTHON=python2.3 python2.4
-PYTHON=python2.4
+PYTHON=$(shell pyversions -r debian/control)
 
 build: build-stamp
 build-stamp:
@@ -39,18 +38,6 @@
 # Build architecture-independent files here.
 binary-indep: DH_OPTIONS=-i
 binary-indep: build
-	dh_testdir
-	dh_testroot
-	dh_installdocs
-	dh_installexamples doc/examples/*.py
-	dh_installchangelogs
-	dh_compress
-	dh_fixperms
-	dh_installdeb
-	dh_python
-	dh_gencontrol
-	dh_md5sums
-	dh_builddeb
 
 # Build architecture-dependent files here.
 binary-arch: DH_OPTIONS=-a
@@ -58,19 +45,21 @@
 	dh_testdir
 	dh_testroot
 	dh_clean -k
-
+	
 	for PY in $(PYTHON); do \
-		/usr/bin/$$PY setup.py install --prefix=`pwd`/debian/$${PY}-apt/usr; \
+		/usr/bin/$$PY setup.py install --prefix=`pwd`/debian/python-apt/usr; \
 	done
-
+	
 	dh_installdocs
 	dh_installchangelogs
+	dh_installexamples
+	dh_pycentral
+	dh_python
 	dh_strip
 	dh_compress
 	dh_fixperms
 	dh_installdeb
 	dh_shlibdeps
-	dh_python
 	dh_gencontrol
 	dh_md5sums
 	dh_builddeb

## python-apt 0.6.19ubuntu9

=== debian/changelog ===
python-apt (0.6.19ubuntu9) edgy; urgency=low

  * Reupload to restore dependency on python-central.
  * debian/rules: Remove dh_python call.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 12 Oct 2006 14:26:46 +0200

python-apt (0.6.19ubuntu8) edgy; urgency=low

  * support pkgDepCache::ActionGroup()

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  6 Oct 2006 18:03:46 +0200

python-apt (0.6.19ubuntu7) edgy; urgency=low

  * python/generic.h:
    - fix incorrect use of PyMem_DEL(), use PyObject_DEL()
      instead. This fixes a nasty segfault with python2.5
      (lp: 63226)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  4 Oct 2006 16:45:53 +0200

python-apt (0.6.19ubuntu6) edgy; urgency=low

  * python/progress.cc:
    - fix memleak (lp: #43096)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Oct 2006 18:33:44 +0200

python-apt (0.6.19ubuntu5) edgy; urgency=low

  * python/pkgmanager.cc:
    - fix typo (closes: #382853)
  * debian/control:
    - tightend dependency (closes: #383478)
  * apt/progress.py:
    - use os._exit() in the child (lp: #53298)
    - use select() when checking for statusfd (lp: #53282)
  * acknoledge NMU (closes: #378048, #373512)
  * python/apt_pkgmodule.cc:
    - fix missing docstring (closes: #368907), 
      Thanks to Josh Triplett
  * make it build against python2.5

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 18 Sep 2006 18:28:19 +0200

python-apt (0.6.19ubuntu4) edgy; urgency=low

  * Rebuild to add support for python2.5.

 -- Matthias Klose <doko@ubuntu.com>  Fri,  8 Sep 2006 13:32:47 +0000
  

python-apt (0.6.19ubuntu3) edgy; urgency=low

  * merged ddtp support

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 14 Aug 2006 16:25:51 +0200

python-apt (0.6.19ubuntu2) edgy; urgency=low

  * tightened build-deps on latest apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  3 Aug 2006 17:02:30 +0200

python-apt (0.6.19ubuntu1) edgy; urgency=low

  [ Michael Vogt ]
  * doc/examples/print_uris.py:
    - added a example to show how the indexfile.ArchiveURI() can be used
      with binary packages
  * python/apt_pkgmodule.cc:
    - export sha256 generation
  * added support for the pkgDepCache.IsGarbage() flag

  [ Otavio Salvador ]
  * apt/cache.py:
    - fix commit doc string to also cite the open related callbacks
    - allow change of rootdir for APT database loading
    - add dh_installexamples in package building Closes: #376014

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu, 27 Jul 2006 15:00:55 +0200

python-apt (0.6.16.2ubuntu9) edgy; urgency=low

  * rebuild against the latest apt (with auto-mark support)
  * the full merge needs a newer python-support 

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  3 Jul 2006 21:33:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: optional
 Maintainer: APT Development Team <deity@lists.debian.org>
 Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
-Standards-Version: 3.6.2.0
+Standards-Version: 3.7.2
 XS-Python-Version: all
-Build-Depends: debhelper (>= 5.0.37.1), libapt-pkg-dev (>= 0.6.40), apt-utils, python-all-dev, python-central
+Build-Depends: debhelper (>= 5.0.37.1), libapt-pkg-dev (>= 0.6.45ubuntu3), apt-utils, python-all-dev, python-central
 
 Package: python-apt
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -49,12 +49,11 @@
 	for PY in $(PYTHON); do \
 		/usr/bin/$$PY setup.py install --prefix=`pwd`/debian/python-apt/usr; \
 	done
-	
+
 	dh_installdocs
 	dh_installchangelogs
 	dh_installexamples
 	dh_pycentral
-	dh_python
 	dh_strip
 	dh_compress
 	dh_fixperms

## python-apt 0.6.19ubuntu9.1

=== debian/changelog ===
python-apt (0.6.19ubuntu9.1) edgy-proposed; urgency=low

  * protect against not-parsable strings send from dpkg (lp: 68553)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 30 Jan 2007 11:02:44 +0100

## python-apt 0.6.20ubuntu16

=== debian/changelog ===
python-apt (0.6.20ubuntu16) feisty; urgency=low

  * Fix the addition of of sources that are already enabled but not with
    all components - fix LP#98795

 -- Sebastian Heinlein <glatzor@ubuntu.com>  Wed,  4 Apr 2007 11:31:33 +0200

python-apt (0.6.20ubuntu15) unstable; urgency=low

  [ Sebastian Heinlein ]
  * Update the mirror lists from Launchpad
  * Only include http and ftp servers - LP#99060
  [Michael Vogt]
  * fix error in invalid unicode handler (LP#99753)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  2 Apr 2007 14:25:31 +0200

python-apt (0.6.20ubuntu14) feisty; urgency=low

  [Michael Vogt]
  * aptsources/distro.py:
    - fix typo (LP#84009)
  * fix gettext import (LP#92764)
  * po/*.po:
    - make update-po
  [ Sebastian Heinlein ]
  * remove an oboslete function
  * fix the url comparision with trainling slashes - LP#95031

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Mar 2007 18:47:22 +0200

python-apt (0.6.20ubuntu13) feisty; urgency=low

  * fix in the duplicated source checking (thanks to Sebastian Heinlein)
  * python/depache.cc:
    - properly support isAutoInstalled flag

 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed, 14 Mar 2007 16:38:22 +0100

python-apt (0.6.20ubuntu12) feisty; urgency=low

  * apt/cdrom.py:
    - fix bug in cdrom __init__ code
  * debian/rules:
    - added "DH_PYCENTRAL=nomove"


 -- Michael Vogt <michael.vogt@ubuntu.com>  Wed,  7 Mar 2007 10:41:00 +0100

python-apt (0.6.20ubuntu11) feisty; urgency=low

  * apt/packages.py:
    - support candidateDependencies, installedDependencies
    - support pkg.architecture
    - support candidateRecord, installedRecord

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Mar 2007 16:22:49 +0100

python-apt (0.6.20ubuntu10) feisty; urgency=low

  * debian/control:
    - added XS-Vcs-Bzr header to make finding the repo easier
  * apt/cache.py:
    - fix rootdir var

 -- Michael Vogt <michael.vogt@ubuntu.com>  Thu,  1 Mar 2007 14:36:33 +0100

python-apt (0.6.20ubuntu9) feisty; urgency=low

  * Re-add debian/python-apt.install (LP: #88134)
    - This seems to have gone missing between 0.6.20ubuntu6 and 0.6.20ubuntu8
    - This probably happened because it wasn't added to bzr

 -- Matt Zimmerman <mdz@ubuntu.com>  Mon, 26 Feb 2007 14:04:15 -0800

python-apt (0.6.20ubuntu8) feisty; urgency=low

  * fix FTBFS

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Feb 2007 18:41:37 +0100

python-apt (0.6.20ubuntu7) feisty; urgency=low

  * aptsources/distro.py:
    - fix crash in add_source (LP#85806)
  * apt/package.py:
    - handle invalid unicode more gracefully (LP#86215)
  * rebuild against latest apt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon, 26 Feb 2007 14:31:00 +0100

python-apt (0.6.20ubuntu6) feisty; urgency=low

  * Build the extension for the debug interpreter.
  * Set Ubuntu maintainer address.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 17 Feb 2007 02:10:37 +0100

python-apt (0.6.20ubuntu5) feisty; urgency=low

  * be more robust in has_repository (LP#84897)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 13 Feb 2007 17:49:55 +0100

python-apt (0.6.20ubuntu4) feisty; urgency=low

  * rebuild against latest libapt

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue,  6 Feb 2007 16:40:37 +0100

python-apt (0.6.20ubuntu3) feisty; urgency=low

  * fixes in the new 'aptsources' module 
    (thanks to Sebastian Heinlein)
  * apt/cdrom.py:
    - better cdrom handling support
  * python/string.cc:
    - SizeToString supports PyLong too 
  * apt/cache.py:
    - fix rootdir

 -- Michael Vogt <michael.vogt@ubuntu.com>  Mon,  5 Feb 2007 10:29:55 +0100

python-apt (0.6.20ubuntu2) feisty; urgency=low

  * python/depcache.cc:
    - MarkInstall() has new FromUser argument to support marking
      packages as automatically installed
  * merged the 'aptsources' module for sources.list handling 
    (thanks to Sebastian Heinlein)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri,  2 Feb 2007 16:26:38 +0100

python-apt (0.6.20ubuntu1) feisty; urgency=low

  * merged from debian

 -- Michael Vogt <michael.vogt@ubuntu.com>  Tue, 19 Dec 2006 13:41:32 +0100

python-apt (0.6.20) unstable; urgency=low

  * python/generic.h:
    - fix incorrect use of PyMem_DEL(), use pyObject_DEL()
      instead. This fixes a nasty segfault with python2.5
      (lp: 63226)
  * python/pkgrecords.cc:
    - export SHA1Hash() as well
  * debian/rules: Remove dh_python call.
  * apt/progress.cc:
    - protect against not-parsable strings send from dpkg (lp: 68553)
  * python/pkgmanager.cc:
    - fix typo (closes: #382853)
  * debian/control:
    - tightend dependency (closes: #383478)
  * apt/progress.py:
    - use os._exit() in the child (lp: #53298)
    - use select() when checking for statusfd (lp: #53282)
  * acknoledge NMU (closes: #378048, #373512)
  * python/apt_pkgmodule.cc:
    - fix missing docstring (closes: #368907), 
      Thanks to Josh Triplett
  * make it build against python2.5
  * python/progress.cc:
    - fix memleak (lp: #43096)
  
 --  Michael Vogt <mvo@debian.org>  Tue, 19 Dec 2006 13:32:11 +0100
  

python-apt (0.6.19ubuntu9.1) edgy-updates; urgency=low

  * protect against not-parsable strings send from dpkg (lp: 68553)

 -- Michael Vogt <michael.vogt@ubuntu.com>  Fri, 27 Oct 2006 10:41:44 +0200

=== debian/control ===
Source: python-apt
Section: python
Priority: optional
Maintainer: Michael Vogt <mvo@ubuntu.com>
XSBC-Original-Maintainer: APT Development Team <deity@lists.debian.org>
Uploaders: Matt Zimmerman <mdz@debian.org>, Michael Vogt <mvo@debian.org>
Standards-Version: 3.7.2
XS-Python-Version: all
Build-Depends: debhelper (>= 5.0.37.1), libapt-pkg-dev (>= 0.6.46.4ubuntu8), apt-utils, python-all-dev, python-distutils-extra, cdbs, python-central (>= 0.5), python-all-dbg
XS-Vcs-Bzr: http://launchpad.net/~ubuntu-core-dev/python-apt/ubuntu

Package: python-apt
Architecture: any
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}, lsb-release
Priority: optional
Replaces: python2.3-apt (<< 0.6.18), python2.4-apt (<< 0.6.18)
Conflicts: python2.3-apt (<< 0.6.18), python2.4-apt (<< 0.6.18)
Provides: ${python:Provides}
Suggests: python-apt-dbg
XB-Python-Version: ${python:Versions}
Description: Python interface to libapt-pkg
 The apt_pkg Python interface will provide full access to the internal 
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions, such as:
 .
  - Access to the APT configuration system
  - Access to the APT package information database
  - Parsing of Debian package control files, and other files with a
    similar structure
 .
 The included 'aptsources' Python interface provides an abstraction of 
 the sources.list configuration on the repository and the distro level.

Package: python-apt-dbg
Priority: extra
Architecture: any
Depends: python-dbg, python-apt (= ${Source-Version}), ${shlibs:Depends}
Description: Python interface to libapt-pkg (debug extension)
 The apt_pkg Python interface will provide full access to the internal 
 libapt-pkg structures allowing Python programs to easily perform a
 variety of functions.
 .
 This package contains the extension built for the python debug interpreter.
